File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# usb-common.h

Go to the documentation of this file.

    00001 /* $XFree86$ */
    00002 /*
    00003  * Copyright 2002 Red Hat Inc., Durham, North Carolina.
    00004  *
    00005  * All Rights Reserved.
    00006  *
    00007  * Permission is hereby granted, free of charge, to any person obtaining
    00008  * a copy of this software and associated documentation files (the
    00009  * "Software"), to deal in the Software without restriction, including
    00010  * without limitation on the rights to use, copy, modify, merge,
    00011  * publish, distribute, sublicense, and/or sell copies of the Software,
    00012  * and to permit persons to whom the Software is furnished to do so,
    00013  * subject to the following conditions:
    00014  *
    00015  * The above copyright notice and this permission notice (including the
    00016  * next paragraph) shall be included in all copies or substantial
    00017  * portions of the Software.
    00018  *
    00019  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
    00020  * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
    00021  * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
    00022  * NON-INFRINGEMENT.  IN NO EVENT SHALL RED HAT AND/OR THEIR SUPPLIERS
    00023  * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
    00024  * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
    00025  * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    00026  * SOFTWARE.
    00027  */
    00028
    00029 /*
    00030  * Authors:
    00031  *   Rickard E. (Rik) Faith <faith@redhat.com>
    00032  *
    00033  */
    00034
    00039 #ifndef _USB_COMMON_H_
    00040 #define _USB_COMMON_H_
    00041 typedef enum {
    00042     usbMouse,
    00043     usbKeyboard,
    00044     usbOther
    00045 } usbType;
    00046
    00047 extern pointer usbCreatePrivate(DeviceIntPtr pDevice);
    00048 extern void    usbDestroyPrivate(pointer priv);
    00049 extern void    usbRead(DevicePtr pDev,
    00050                        dmxMotionProcPtr motion,
    00051                        dmxEnqueueProcPtr enqueue,
    00052                        int minButton,
    00053                        DMXBlockType block);
    00054 extern void    usbInit(DevicePtr pDev, usbType type);
    00055 extern void    usbOff(DevicePtr pDev);
    00056 #endif